#include "Context.hpp"

#include "utils/crypto/rsa/RsaKeyPair.hpp"


Context::Context() {
    const auto keyPair = drp::util::crypto::RsaKeyPair(2048);

    this->me = Peer(keyPair.getPublicKey());
    this->cryptoRsaPrivateKey = keyPair.getPrivateKey();

    this->socket = -1;
    this->broadcastAddressInfo = nullptr;
    this->server = nullptr;

    this->latestPeerDiscovery = std::chrono::high_resolution_clock::now();
}
